Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
Class DoubleKeyHashMap.Entry

    java.lang.Object
      org.codehaus.groovy.reflection.ComplexKeyHashMap.Entry
          org.codehaus.groovy.reflection.DoubleKeyHashMap.Entry

Enclosing class:
  DoubleKeyHashMap

    public static class DoubleKeyHashMap.Entry

extends ComplexKeyHashMap.Entry

Field Summary
`Object` | `key1`
`Object` | `key2`

Fields inherited from class org.codehaus.groovy.reflection.ComplexKeyHashMap.Entry
`hash, next, value`

Constructor Summary
`DoubleKeyHashMap.Entry()`

Method Summary

Methods inherited from class org.codehaus.groovy.reflection.ComplexKeyHashMap.Entry
`getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key1

    public Object key1

### key2

    public Object key2

Constructor Detail

### DoubleKeyHashMap.Entry

    public DoubleKeyHashMap.Entry()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD